GFAL-LS(1)

NAME
gfal-ls - list directory contents or file information

SYNOPSIS
gfal-ls [ OPTION ]... FILE

DESCRIPTION
gfal-ls List information about the file. Depending on the implementation, some information from the long listing, such as group and user ids, might not be available and will be displayed as 0. When listing several files or directories, if one returns an error, the execution is canceled.

OPTIONS

-h, --help
    show help about the command.

-V, --version
    output version information and exit.

-v, --verbose
    verbose mode. Repeat up to 3 times for the most verbose mode.

-D, --definition DEFINITION
    define properties for gfal2. Definitions have the following syntax: "CONFIG_GROUP:KEY=VALUE"

-t, --timeout TIMEOUT
    global timeout for the execution of the command. Command is interrupted if time expires before it finishes. Note: A grace period of 30 seconds is given to the global timeout.

-E, --cert CERT
    user certificate. (This option takes effect only after X509_USER_PROXY environment variable and default /tmp/x509up_u`id -u` location cannot provide a certificate)

--key KEY
    user private key.

-4  forces Gfal2 to use IPv4 addresses only. (Option valid only for GridFTP protocol)

-6  forces Gfal2 to use IPv6 addresses only. (Option valid only for GridFTP protocol)

-C, --client-info CLIENT_INFO
    provide custom client-side information.

--log-file LOG_FILE
    write Gfal2 library logs to the given file location.

-a, --all
    don't hide files with name starting in '.'.

-l, --long
    long listing format. Following columns are displayed for each entry: mode, number of links, group id, user id, last modification time, size and name.

-d, --directory
    list directory entries instead of its contents.

-H, --human-readable
    with -l, print sizes in human readable format (e.g.: 1K, 234M, 2G).

--xattr XATTR
    with -l, query additional attributes. Can be specified multiple times.

--time-style STYLE
    specify the time style. Supports the following values: locale, iso, long-iso or full-iso (partially).

--full-time
    equivalent to --time-style=full-iso.

--color MODE
    with -l, enable or disable color output. Supports the following values: always, never, auto.

EXAMPLES

Long listing of all files:
    gfal-ls -laH srm://endpoint.cern.ch/path/file

List a directory instead of its contents:
    gfal-ls -d file:///tmp

FILES
/etc/gfal2.d/*
    All configuration files in this directory affect the behavior of the underlying gfal2.

AUTHORS
Duarte Meneses <duarte.meneses@cern.ch>
Adrien Devresse <adrien.devresse@cern.ch>
Alejandro Alvarez Ayllon <alejandro.alvarez.ayllon@cern.ch>
Andrea Manzi <andrea.manzi@cern.ch>
Mihai Patrascoiu <mihai.patrascoiu@cern.ch>
Joao Lopes <joao.pedro.batista.lopes@cern.ch>

SEE ALSO
gfal-cat(1), gfal-chmod(1), gfal-copy(1), gfal-ls(1), gfal-mkdir(1), gfal-rename(1), gfal-rm(1), gfal-save(1), gfal-stat(1), gfal-sum(1), gfal-token(1), gfal-xattr(1), gfal-evict(1), gfal-bringonline(1), gfal-archivepoll(1)